Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data.event
Class StoreListenerAdapter

    java.lang.Object
      com.gwtext.client.data.event.StoreListenerAdapter

All Implemented Interfaces:
  StoreListener

    public class StoreListenerAdapter

extends java.lang.Object
implements StoreListener

Store listener adapter.

Constructor Summary
`StoreListenerAdapter()`

Method Summary
`boolean` | `doBeforeLoad(Store store)` Fires before a request is made for a new data object.
`void` | `onAdd(Store store, Record[] records, int index)` Fires when Records have been added to the Store
`void` | `onClear(Store store)` Fires when the data cache has been cleared.
`void` | `onDataChanged(Store store)` Fires when the data cache has changed, and a widget which is using this Store as a Record cache should refresh its view.
`void` | `onLoad(Store store, Record[] records)` Fires after a new set of Records has been loaded.
`void` | `onLoadException(java.lang.Throwable error)` Fires if an exception occurs in the Proxy during loading.
`void` | `onRemove(Store store, Record record, int index)` Fires when a Record has been removed from the Store.
`void` | `onUpdate(Store store, Record record, Record.Operation operation)` Fires when a Record has been updated.
`void` | `onUpdate(Store store, Record record, java.lang.String operation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreListenerAdapter

    public StoreListenerAdapter()

Method Detail

### onAdd

    public void onAdd(Store store,
                      Record[] records,
                      int index)

  Description copied from interface: `StoreListener`
  Fires when Records have been added to the Store

  Specified by:
    `onAdd` in interface `StoreListener`
  Parameters:
    `store` - this
    `records` - the records added
    `index` - the index at which the record(s) were added

### doBeforeLoad

    public boolean doBeforeLoad(Store store)

  Description copied from interface: `StoreListener`
  Fires before a request is made for a new data object. If the beforeload handler returns false the load action will be canceled.

  Specified by:
    `doBeforeLoad` in interface `StoreListener`
  Parameters:
    `store` - this
  Returns:
    false to cancel the load action

### onClear

    public void onClear(Store store)

  Description copied from interface: `StoreListener`
  Fires when the data cache has been cleared.

  Specified by:
    `onClear` in interface `StoreListener`
  Parameters:
    `store` - this

### onDataChanged

    public void onDataChanged(Store store)

  Description copied from interface: `StoreListener`
  Fires when the data cache has changed, and a widget which is using this Store as a Record cache should refresh its view.

  Specified by:
    `onDataChanged` in interface `StoreListener`
  Parameters:
    `store` - this

### onLoad

    public void onLoad(Store store,
                       Record[] records)

  Description copied from interface: `StoreListener`
  Fires after a new set of Records has been loaded.

  Specified by:
    `onLoad` in interface `StoreListener`
  Parameters:
    `store` - this
    `records` - the Records that were loaded

### onRemove

    public void onRemove(Store store,
                         Record record,
                         int index)

  Description copied from interface: `StoreListener`
  Fires when a Record has been removed from the Store.

  Specified by:
    `onRemove` in interface `StoreListener`
  Parameters:
    `store` - this
    `record` - the Record that was removed
    `index` - the index at which the record was removed

### onUpdate

    public void onUpdate(Store store,
                         Record record,
                         Record.Operation operation)

  Description copied from interface: `StoreListener`
  Fires when a Record has been updated.

  Specified by:
    `onUpdate` in interface `StoreListener`
  Parameters:
    `store` - this
    `record` - the Record that was updated
    `operation` - the update operation being performed
  See Also:
    `Record.EDIT`, `Record.REJECT`, `Record.COMMIT`

### onUpdate

    public final void onUpdate(Store store,
                               Record record,
                               java.lang.String operation)

### onLoadException

    public void onLoadException(java.lang.Throwable error)

  Description copied from interface: `StoreListener`
  Fires if an exception occurs in the Proxy during loading. When using HttpProxy, `HttpStoreLoadException` is raised if an exception occurs.

  Specified by:
    `onLoadException` in interface `StoreListener`
  Parameters:
    `error` - the error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD